CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
booster::detail::shared_count Class Reference

## Public Member Functions
template<class Y >
| shared_count (Y *p)
template<class P , class D >
| shared_count (P p, D d)
template<class P , class D , class A >
| shared_count (P p, D d, A a)
template<class Y >
| shared_count (std::auto_ptr< Y > &r)
| shared_count (shared_count const &r)
| shared_count (weak_count const &r)
| shared_count (weak_count const &r, sp_nothrow_tag)
shared_count & | operator= (shared_count const &r)
void | swap (shared_count &r)
long | use_count () const
bool | unique () const
bool | empty () const
void * | get_deleter (sp_typeinfo const &ti) const

## Friends
class | weak_count
bool | operator== (shared_count const &a, shared_count const &b)
bool | operator< (shared_count const &a, shared_count const &b)

The documentation for this class was generated from the following file:

- booster/smart_ptr/shared_count.h